import { Component } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { IonicModule } from '@ionic/angular';

@Component({
  selector: 'app-tab4',
  standalone: true,
  imports: [CommonModule, FormsModule, IonicModule],
  templateUrl: './tab4.page.html',
  styleUrls: ['./tab4.page.scss'],
})
export class Tab4Page {
  shopFollowed = false;

  toggleFollow() {
    this.shopFollowed = !this.shopFollowed;
  }

  tabs = ['全部商品', '热门商品', '最新上架', '促销特惠', '刀型专区', '手套专区', '印花收藏'];
  activeTab = '热门商品';

  setActiveTab(tab: string) {
    this.activeTab = tab;
  }

  shopNavItems = ['商品', '评价', '详情', '活动'];
  activeNavItem = '商品';

  setActiveNav(item: string) {
    this.activeNavItem = item;
  }
}
