import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { Tab5Page } from './tab5.page';
import { AiChatComponent } from '../ai-chat/ai-chat.component';

const routes: Routes = [
  {
    path: '',
    component: Tab5Page,
  },
  {
    path: 'ai-chat',
    component: AiChatComponent, // 👈 必须导入并写入这里
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class Tab5PageRoutingModule {}
