import { IonicModule } from '@ionic/angular';
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { TabsPageRoutingModule } from './tabs-routing.module';

// 导入 TabsPage 组件，因为它是 standalone 的
import { TabsPage } from './tabs.page';

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    TabsPageRoutingModule,
    TabsPage  // standalone 组件作为模块导入
  ],
  // 不要再声明 TabsPage 了
  // declarations: []
})
export class TabsPageModule {}
